Bug 817144 - Analyzing firefox coredump file fails
Analyzing firefox coredump file fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 15:46 EDT by mpurtill
Modified: 2013-02-13 02:53 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 02:53:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mpurtill 2012-04-27 15:46:02 EDT
Description of problem:
The automatic bug reporting tool is unable to analyze the core dump from my frequent firefox crashes.  The file is too big for the retrace server, and using the local GNU debugger fails with status 50.

Version-Release number of selected component (if applicable):
abrt-libs-2.0.7-2.fc16.x86_64
abrt-gui-2.0.7-2.fc16.x86_64
abrt-addon-vmcore-2.0.7-2.fc16.x86_64
abrt-addon-kerneloops-2.0.7-2.fc16.x86_64
abrt-addon-ccpp-2.0.7-2.fc16.x86_64
abrt-retrace-client-2.0.7-2.fc16.x86_64
abrt-2.0.7-2.fc16.x86_64
abrt-desktop-2.0.7-2.fc16.x86_64
abrt-addon-python-2.0.7-2.fc16.x86_64

How reproducible:
Every time firefox crashes

Steps to Reproduce:
1. Wait for firefox to crash
2. Select "Local GNU Debugger" on the Select analyzer screen
  
Actual results:
--- Running analyze_LocalGDB ---
Analyzing coredump 'coredump'
Coredump references 139 debuginfo files, 79 of them are not installed
Error: can't make cachedir, exiting
(exited with 50)

Expected results:
Successful analysis, resulting in a useful bug report.
Comment 1 Jiri Moskovcak 2012-08-09 17:38:21 EDT
Does "Local GNU Debugger" works for other crashes?
Comment 2 mpurtill 2012-08-10 12:45:30 EDT
It's been a while since I've had a crash, but my recollection is that "Local GNU Debugger" did not work for other crashes either.  (If there's something that's known to cause a repeatable crash, let me know and I'll try it.)
Comment 3 Jiri Moskovcak 2012-08-13 03:53:05 EDT
You can crash somthieng manually:

$ kill -s SEGV `pidof <SOMEAPPYOUWANTOKILL>`

- please note that this command will forcibly kill the application without saving any data and also FF and TB now has their own crash handlers, so ABRT won't detect crash in those two.
Comment 4 mpurtill 2012-08-14 12:35:11 EDT
I was able to generate a traceback for another program with "Local GNU Debugger". If FF=Firefox has it's own handler, you may as well close the bug.
Comment 5 mpurtill 2012-08-21 13:07:44 EDT
I may have spoken to soon in comment 4.  I just had a crash in nepomukservicestub, and while the "local gdb" appeared to work (as with my test), when I got to trying to report it, I get "Reporting disabled because the backtrace is unusable".  So maybe I can't really generate a traceback properly.  Here is the log from generating a backtrace:

--- Running analyze_LocalGDB ---
Analyzing coredump 'coredump'
All 1 debuginfo files are available
Generating backtrace
Backtrace is generated and saved, 2220 bytes
Can't open file './component': No such file or directory
Comment 6 Fedora End Of Life 2013-01-16 04:53:38 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 02:53:37 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.